<?php
/*
 * Prevent Direct Access
 */
defined( 'ABSPATH' ) or die( "Sorry, Can not access page directly." );


/**
* Amazon Add-On
*/
$aws_ads_page = get_option('aws_ads_page'); 
    if(!empty($aws_ads_page)) {
    if(in_array('blog',$aws_ads_page)) {
        add_filter('the_excerpt','sk_amazon_ads');
    }
    if(in_array('single',$aws_ads_page)) {
        add_filter('the_content','sk_amazon_ads');
    }
}

function sk_amazon_ads($content) {
    global $post;
    $post_id = $post->ID;
    $videoid = trim(get_post_meta($post->ID,'VideoID',true));
    $above_content_field = trim(get_post_meta($post->ID,'above_content_field',true));
    $below_content_field = trim(get_post_meta($post->ID,'below_content_field',true));

    if($videoid!='') {
	$location = 'above';
	$returnoutput1  = '';
	$returnoutput2  = '';
    $product = stripslashes(get_option('aws_ads_code')); 
    $aws_ads_location = get_option('aws_ads_locations'); 
    $aws_ads_design = get_option('aws_ads_designs'); 
    
    if($product=='') {
        $product = show_api_ads();
    }
    ob_start();
    // Overwrite Experts 
    if(is_single()) {
            if(is_array($aws_ads_location) && in_array('above', $aws_ads_location)) {
                ?>
                    <div class="amazon-ads-above <?php echo $aws_ads_design; ?>">
                    <?php  if($above_content_field=='') {
                        echo $product; 
                    } else {
                        echo show_api_ads($above_content_field);
                    }
                    ?>
                    </div>
                <?php
            }
    } else {
        $content = wp_trim_words(strip_shortcodes($post->post_content), 100);   
    }
        echo $content; 
    if(is_array($aws_ads_location) && in_array('below', $aws_ads_location)) {
        ?>
            <div class="amazon-ads-below <?php echo $aws_ads_design; ?>">
                <?php  if($below_content_field=='') {
                        echo $product; 
                    } else {
                        echo show_api_ads($below_content_field);
                    }
                    ?>
            </div>
        <?php 
    }
	return ob_get_clean();
} else {
    return $content;
}
}

/*
* Shorcode for display ads
*/

add_filter( 'widget_text', 'shortcode_unautop');
add_filter( 'widget_text', 'do_shortcode', 11);
add_shortcode('show_amazon_ads','aws_show_ads_shortcode');
function aws_show_ads_shortcode() {
    $aws_ads_location = get_option('aws_ads_locations'); 
    $aws_ads_code = stripslashes(get_option('aws_ads_code')); 
    $returnoutput = '';
	$aws_ads_design = get_option('aws_ads_designs'); 
    if($aws_ads_code!='') {
    if(is_array($aws_ads_location) && in_array('rightside', $aws_ads_location)) {
        $product = stripslashes(get_option('aws_ads_code')); 
        $returnoutput = '<div class="amazon-ads-rightside '.$aws_ads_design.'">'.$product.'</div>';
    }
    } else {
        $returnoutput = '<div class="amazon-ads-rightside  '.$aws_ads_design.'">'.show_api_ads().'</div>';
    } 
    return $returnoutput; 
}

/*
* Add new setting
*/ 

add_action('avp_extra_menus', 'sk_custom_amazon_settings');
function sk_custom_amazon_settings(){
        add_submenu_page( 'autovid_profit', 'Amazon Ads', 'Add Amazon Ads', 'manage_options', 'amazon-ads-settings', 'amazon_ads_settings_cb' );
}

function amazon_ads_settings_cb() {
$aws_ads_location = '';
$aws_ads_design = '';
$aws_ads_code = ''; 
if(isset($_POST['amazon_ads_option_update'])) {
     $aws_affiliate_asinid = trim($_POST['aws_affiliate_asinid']);
     $aws_affiliate_keyboard = trim($_POST['aws_affiliate_keyboard']);
     $aws_affiliate_searchindex = trim($_POST['aws_affiliate_searchindex']);
     $aws_affiliate_accesskey = trim($_POST['aws_affiliate_accesskey']);
     $aws_affiliate_secret_key = trim($_POST['aws_affiliate_secret_key']);
     $aws_affiliate_associated_tag = trim($_POST['aws_affiliate_associated_tag']);  
     $aws_ads_page = $_POST['aws_ads_page'];  
     $aws_ads_location = $_POST['aws_ads_location'];  
     $aws_ads_design = trim($_POST['aws_ads_design']);
     $aws_ads_code = stripslashes($_POST['aws_ads_code']);
  	?>

    <div class="notice notice-success is-dismissible">
        <p><?php _e( 'Settings updated!', 'sample-text-domain' ); ?></p>
    </div>
    <?php
    update_option('aws_affiliate_asinid',$aws_affiliate_asinid);
    update_option('aws_affiliate_keyboard',$aws_affiliate_keyboard);
    update_option('aws_affiliate_searchindex',$aws_affiliate_searchindex);
    update_option('aws_affiliate_accesskey',$aws_affiliate_accesskey);
    update_option('aws_affiliate_secret_key',$aws_affiliate_secret_key);
    update_option('aws_affiliate_associated_tag',$aws_affiliate_associated_tag);
    update_option('aws_ads_page',$aws_ads_page);
    update_option('aws_ads_locations',$aws_ads_location);
    update_option('aws_ads_designs',$aws_ads_design);
    update_option('aws_ads_code',$aws_ads_code);
} else {
    $aws_affiliate_asinid = get_option('aws_affiliate_asinid'); 
    $aws_affiliate_keyboard = get_option('aws_affiliate_keyboard'); 
    $aws_affiliate_searchindex = get_option('aws_affiliate_searchindex'); 
    $aws_affiliate_accesskey = get_option('aws_affiliate_accesskey'); 
    $aws_affiliate_secret_key = get_option('aws_affiliate_secret_key'); 
    $aws_affiliate_associated_tag = get_option('aws_affiliate_associated_tag'); 
	$aws_ads_page = get_option('aws_ads_page'); 
	$aws_ads_location = get_option('aws_ads_locations'); 
    $aws_ads_design = get_option('aws_ads_designs'); 
    $aws_ads_code = stripslashes(get_option('aws_ads_code')); 
}	

?>

<div class='wrap autovid-profit-section'>
	<h2 class='autovid-profit-title'><?php echo AVP_PLUGIN_NAME . " v" . AVP_PLUGIN_VERSION; ?></h2>
	<?php include( sprintf( "%stemplates/buttons.php", AVP_PLUGIN_DIR ) ); ?>	
</div>
   
    <div class="wrap">
                <h3>Amazon Ads Settings</h3>
                        <form action="" method="POST" enctype="multipart/form-data">
                                <table class="form-table">
                                <tbody>
                                <tr>
                                        <th scope="row">
                                                <label for="sso_enable_dashboard_tabs">Amazon Affiliate Access</label>
                                        </th>
                                        <td>
                                            <ul class="amazo_api_credentials">
                                                <li>
                                                    <label>Access Key ID</label>
                                                    <input style="width:100%;" required="required" type="text" name="aws_affiliate_accesskey" placeholder="AKIAIB7xxxxxxxxxO4CYFA" value="<?php echo $aws_affiliate_accesskey; ?>" />
                                                </li>
                                                <li>
                                                    <label>Secret Access Key</label>
                                                    <input style="width:100%;" required="required" type="text" name="aws_affiliate_secret_key" placeholder="SR1SdYMOeO6xxxxxxxxxpcliisiU183Mo9" value="<?php echo $aws_affiliate_secret_key; ?>" />
                                                </li>
                                                <li>
                                                    <label>Associate Tag</label>
                                                    <input style="width:100%;" required="required" type="text" name="aws_affiliate_associated_tag" placeholder="tim0000001" value="<?php echo $aws_affiliate_associated_tag; ?>" />
                                                </li>
                                            </ul>
                                        </td>
                                </tr>   
                                <tr>
                                        <th scope="row">
                                                <label for="sso_enable_dashboard_tabs">Show on:</label>
                                                <p class="description">In blog page above product advertise is hidden.</p>
                                        </th>
                                        <td>
                                        	<ul class="checkboxes_wr">
                                                <li><input type="checkbox" <?php awsap_checked($aws_ads_page, 'blog'); ?> name="aws_ads_page[]" value="blog" />Blog (Post Lisiting)
                                                </li>
                                                <li><input type="checkbox" <?php awsap_checked($aws_ads_page, 'single'); ?> name="aws_ads_page[]" value="single" />Single (Post Details)</li>
                                            </ul>
                                        </td>
                                </tr>	
                                <tr>
                                        <th scope="row">
                                                <label for="sso_enable_dashboard_tabs">Ad Locations</label>
                                        </th>
                                        <td>
                                        	<ul class="checkboxes_wr">
                                                <li><input type="checkbox" <?php awsap_checked($aws_ads_location, 'above'); ?> name="aws_ads_location[]" value="above" />Above</li>
                                                <li><input type="checkbox" <?php awsap_checked($aws_ads_location, 'below'); ?> name="aws_ads_location[]" value="below" />Below</li>
                                                <li><input type="checkbox" <?php awsap_checked($aws_ads_location, 'rightside'); ?> name="aws_ads_location[]" value="rightside" />Right Side</li>
                                                </ul>
                                        </td>
                                </tr>
                                 <tr>
                                        <th scope="row">
                                                <label for="sso_enable_dashboard_tabs">Ad Design</label>
                                        </th>
                                        <td>
                                           	<ul class="checkboxes_wr">
                                                <li><input type="radio" <?php checked($aws_ads_design, 'design1'); ?> name="aws_ads_design" value="design1" />Design1</li>
                                                <li><input type="radio" <?php checked($aws_ads_design, 'design2'); ?> name="aws_ads_design" value="design2" />Design2</li>
                                                </ul>
                                        </td>
                                </tr>
                                <tr>
                                    <th>Shortcode (For Sidebar Ads in Sidebar)</th>
                                    <td><code>[show_amazon_ads]</code><p class="description">copy and paste this shortcode in right side sidebar or widget to display right side ads.</p></td>
                                </tr>
                                <tr>
                                        <th scope="row">
                                                <label for="sso_enable_dashboard_tabs">Amazon API Ads Filters</label>
                                        </th>
                                        <td>
                                            <ul class="amazon_product_search_wr">
                                                <li>
                                                <?php 
                                                $searchtype = array('DVD', 'Electronics', 'Toys', 'VideoGames', 'PCHardware', 'Tools', 'SportingGoods', 'Books', 'Software', 'Music', 'GourmetFood', 'Kitchen'); 
                                                ?>
                                                    <label>Product Type</label>
                                                    <select style="width:100%;" required="required" name="aws_affiliate_searchindex">
                                                    	<option value="All">All</option>
                                                    	<?php foreach($searchtype as $selectoption) { 
                                                   		$selectoption = trim($selectoption);
                                                    		?>
                                                    		<option <?php selected($aws_affiliate_searchindex, $selectoption); ?> value="<?php echo $selectoption; ?>"><?php echo $selectoption; ?></option>
                                                    	<?php } ?>
                                                    </select>
                                                </li>
												<li>   
                                                    <label>Keywords</label>
                                                    <input style="width:100%;" required="required" type="text" name="aws_affiliate_keyboard" placeholder="Eg. Beauty" value="<?php echo $aws_affiliate_keyboard; ?>" />
                                                    <p class="submit"><input type="submit" value="Search" class="button button-default" id="submit" name="amazon_ads_option_update"></p>  
                                                </li>
                                                <li>   
                                                    <label>ASIN ID (Optional)</label> <br />
                                                    <input style="width:150px;" type="text" class="asin_id_aws" name="aws_affiliate_asinid" placeholder="Eg: B01MRUCIQK" value="<?php echo $aws_affiliate_asinid; ?>" />
                                                    <input type="submit" value="Save" class="button button-default" id="submit" name="amazon_ads_option_update">
                                                </li>
                                            </ul>
                                        </td>
                                </tr>   
                                 <tr>
                                     <th>Products Ads By API</th>
                                     <td>
                                     	<div class="awsap_search_result">
                                        	<?php echo show_api_ads();?>
                                        </div>

                                        <script type="text/javascript">
                                        jQuery('.asin_code_id').click(function(){
                                        	jQuery('.asin_code_id').each(function(){
                                        		var casin = jQuery(this).children('code').text();
                                        		jQuery(this).html('ASIN: <code>'+casin+'</code> Add');
                                        	});
                                        	var asin = jQuery(this).children('code').text();
                                        	jQuery('.asin_id_aws').val(asin).css('border','1px solid #080');
                                        	jQuery(this).html('Added <code>'+asin+'</code> in ASIN ID field.');
                                        });
                                        </script>
                                     </td>
                                </tr>
                                    <tr><td colspan="2" style="text-align: center;"> OR </td></tr>
                                 <tr>
                                 <th scope="row">
                                        <label for="sso_enable_dashboard_tabs">Amazon Widget Ads Code</label>
                                 </th>
                                 <td>
                                    <textarea placeholder="Paste Advertis HTML code here. It will replace above API ads in front end. Leave empty if you want to use above API ads." class="aws_ads_code_c" style="width: 100%; height: 100px;" name="aws_ads_code"><?php echo $aws_ads_code; ?></textarea>
                                    <?php if($aws_ads_code!='') { ?>
	                                    <div class="aws_ads_preview">
	                                        <h3>Preview</h3>
	                                        <?php echo $aws_ads_code; ?>                                     
	                                    </div>
                                    <?php } ?>
                                 </td>
                                </tr>
                                </tbody>
                                </table>
                        <p class="submit"><input type="submit" value="Save Options" class="button button-primary" id="submit" name="amazon_ads_option_update"></p>  
                        </form>
        </div>
<?php
}
/*
* Check if an array as output for checkbox
*/ 
function awsap_checked($array, $current) {
    if(is_array($array) && in_array($current, $array)) {
        $current = $array = 1;
        checked($array, $current);
    } else {
    }
}

function ItemSearch($asin_id = '', $keywords = '', $searchindex = ''){
    if($asin_id==''){
        $asin_id = get_option('aws_affiliate_asinid'); 
    } 
    $access_key = get_option('aws_affiliate_accesskey'); 
    $secret_key = get_option('aws_affiliate_secret_key'); 
    $associate_tag = get_option('aws_affiliate_associated_tag'); 
    
    if($keywords==''){
        $keywords = get_option('aws_affiliate_keyboard'); 
    }
    
    if($searchindex==''){
        $searchindex = get_option('aws_affiliate_searchindex'); 
    }

    if($asin_id!='') { 
       $request="http://webservices.amazon.com/onca/xml?Service=AWSECommerceService&&AssociateTag=$associate_tag&Operation=ItemLookup&ItemId=$asin_id&IdType=ASIN&ResponseGroup=SalesRank,Offers,OfferSummary,Large&Condition=All";
    } else {
    	$request="http://webservices.amazon.com/onca/xml?Service=AWSECommerceService&&AssociateTag=$associate_tag&Operation=ItemSearch&ResponseGroup=SalesRank,Offers,OfferSummary,Large&SearchIndex=$searchindex&Keywords=$keywords";
    }

    if(is_admin()) {
		$request = '';
		$request="http://webservices.amazon.com/onca/xml?Service=AWSECommerceService&&AssociateTag=$associate_tag&Operation=ItemSearch&ResponseGroup=SalesRank,Offers,OfferSummary,Large&SearchIndex=$searchindex&Keywords=$keywords";
    }
    
    
    $request2 = getRequestSignature($secret_key, $request, $access_key, $version = '2009-03-01');
    $session = curl_init($request2);
    curl_setopt($session, CURLOPT_HEADER, false);
    curl_setopt($session, CURLOPT_RETURNTRANSFER, true);
    $response = curl_exec($session);
    curl_close($session); 
    $parsed_xml = simplexml_load_string($response);
       if($parsed_xml->Error) {
           ?>
            <div class="notice notice-error is-dismissible">
                <p><?php echo "Error: ".$parsed_xml->Error->Message; ?></p>
            </div>
            <?php 
            
       }
return $parsed_xml;  // returns an array
}
 

/*
* Function for get Signature
*/

function getRequestSignature($secret_key, $request, $access_key = false, $version = '2009-03-01') {
    // Get a nice array of elements to work with
    $uri_elements = parse_url($request);

    // Grab our request elements
    $request = $uri_elements['query'];
    // Throw them into an array
    parse_str($request, $parameters);

    // Add the new required paramters
    $parameters['Timestamp'] = gmdate("Y-m-d\TH:i:s\Z");
    $parameters['Version'] = $version;
    if (strlen($access_key) > 0) {
        $parameters['AWSAccessKeyId'] = $access_key;
    }   

    // The new authentication requirements need the keys to be sorted
    ksort($parameters);

    // Create our new request
    foreach ($parameters as $parameter => $value) {
        // We need to be sure we properly encode the value of our parameter
        $parameter = str_replace("%7E", "~", rawurlencode($parameter));
        $value = str_replace("%7E", "~", rawurlencode($value));
        $request_array[] = $parameter . '=' . $value;
    }   

    // Put our & symbol at the beginning of each of our request variables and put it in a string
    $new_request = implode('&', $request_array);
    // Create our signature string
    $signature_string = "GET\n{$uri_elements['host']}\n{$uri_elements['path']}\n{$new_request}";
    // Create our signature using hash_hmac
    $signature = urlencode(base64_encode(hash_hmac('sha256', $signature_string, $secret_key, true)));
    // Return our new request
    return "http://{$uri_elements['host']}{$uri_elements['path']}?{$new_request}&Signature={$signature}";
}

function show_api_ads($asin_id = '',$keywords = '', $searchindex = '') {
ob_start();

            $parsed_xml = ItemSearch($asin_id, $keywords, $searchindex);         
            $items =  $parsed_xml->Items;
            $numOfItems = $items->TotalResults;
            $totalPages = $items->TotalPages;
            $item = $items->Item; 
            $max_num_product = 10; 
        	if(!is_admin()) {
    			$max_num_product = 1; 
    		}
                
            if($item) {
                $item_key_count = 1;
                foreach($item as $item_key => $item_val) {
                if($item_key_count<=$max_num_product) {                           
                $item_asin = $item_val->ASIN;
                $item_url = $item_val->DetailPageURL;
                $item_brand = $item_val->ItemAttributes->Brand;
                $item_image_url = $item_val->MediumImage->URL;
                $item_salesrank = $item_val->SalesRank;
                if($item_salesrank!='') {
                    $item_salesrank = 'Sales Rank '.$item_salesrank;
                }
                $item_price = $item_val->Offers->Offer->OfferListing->Price->FormattedPrice;

                if($item_price=='') {
                    $item_price = $item_val->OfferSummary->LowestNewPrice->OfferListing->FormattedPrice;
                }

                if($item_price=='') {
                    $item_price = $item_val->OfferSummary->LowestUsedPrice->OfferListing->FormattedPrice;
                }
                if($item_price=='') {
                    $item_price = $item_val->OfferSummary->LowestCollectiblePrice->OfferListing->FormattedPrice;
                }

                if($item_price!='') {    
                $item_feature = $item_val->ItemAttributes->Title;
                $item_content = $item_val->EditorialReviews->EditorialReview->Content;
                $starreview = 'https://www.amazon.com/gp/customer-reviews/widgets/average-customer-review/popover/ref=dpx_acr_pop_?contextId=dpx&asin='.$item_asin;
        ?>

        <div class="sk_amazon_item_box fullwidth">
        	<?php
                
                        global $pagenow;
        		if(is_admin()) {
       		
                            if($pagenow=='post.php') {
                               
              			echo '<span class="asin_code_id">ASIN:<code class="asin_code">'.$item_asin.'</code></span><span class="add_in_above_ad">Add in above ad</span> <span class="add_in_below_ad">Add in below ad</span></span>';
                  
                            }  else {

                                echo '<span class="asin_code_id">ASIN:<code>'.$item_asin.'</code> Add</span>';

                            }
                                
                        }
                        
        	 ?>

            <?php if($item_price!='') { ?>
                <span class="price_badge"><?php echo $item_price; ?></span>    
            <?php } ?>

            <div class="left_part">
                <img src="<?php echo $item_image_url; ?>" alt="" />           
            </div>

            <div class="right_part">
             <div class="title_desc">
                 <h3><a class="link_heading" target="_blank" href="<?php echo $item_url; ?>"><?php echo wp_trim_words($item_feature,14); ?></a></h3>
             <p>From <b>Amazon</b></p>   
             <p class="greentext"><?php echo $item_salesrank; ?> <?php echo $item_brand; ?></p>   
             <div class="darkcolor"><?php echo wp_trim_words($item_content, 10); ?></div>   
             </div> 
             <a class="buy_now_button" target="_blank" href="<?php echo $item_url; ?>">Buy now</a>       
            </div>
        </div>
        <?php
                $item_key_count = $item_key_count + 1;
            }
            }
            }
        } else {
        	echo 'No products available OR Your Access ID is not registered as an Amazon Associate.';
        }
                                 ?>  
<?php
return ob_get_clean(); 
}


/*
* Custom Style Front End.
*/
add_action( 'wp_head', 'awsap_enqueue_styles', 101 );
function awsap_enqueue_styles() {
	wp_enqueue_style( 'awsap_style', plugins_url( 'css/awsap-style.css', __FILE__ ) );
}


/*
* Custom Style Back End.
*/
add_action( 'admin_head', 'awsap_admin_enqueue_styles', 101 );
function awsap_admin_enqueue_styles() {
	wp_enqueue_style( 'awsap_style', plugins_url( 'css/awsap-adminstyle.css', __FILE__ ) );
}

/*
* Custom Script
*/
function awsap_wp_enqueue_scripts() {
 		wp_enqueue_script( 'isba-scripts-js', plugins_url( 'js/awsap-script.js', __FILE__ ), array( 'jquery'), '20170731', true );
}

add_action( 'wp_enqueue_scripts', 'awsap_wp_enqueue_scripts' );
/*
* Meta Fields
*/
add_action( 'add_meta_boxes', 'awsap_register_metabox', 10, 5  );
 function awsap_register_metabox() {
    add_meta_box( 'awsap_meta_box', 'Amazon Ads Extra Fields', 'awsap_metabox_callback', 'post','normal', 'high' );
}

/*
* Amazon Ads Metabox Callback
*/ 
 function awsap_metabox_callback($post) { 
    
    $post_id = $post->ID; 

    $above_content_field = '';  
    $below_content_field = '';

    $above_content_field = get_post_meta( $post_id, 'above_content_field', true);
    $below_content_field = get_post_meta( $post_id, 'below_content_field', true);
    
    $aws_affiliate_searchindex = get_post_meta( $post_id, 'aws_affiliate_searchindex', true);
    $aws_affiliate_keyboard = get_post_meta( $post_id, 'aws_affiliate_keyboard', true);
 
    ?>
 
        <ul class="amazon_ads_field post_metafields_amazon_ads">
                <li>
                    <label>Youtube Video Above Ad</label> <br />
                    <input type="text" placeholder="ASIN" style="width: 100%;" class="above_content_field" name="above_content_field" value="<?php echo $above_content_field; ?>" />
                </li>
                <li>
                 <label>Youtube Video Below Ad</label> <br />
                 <input type="text" placeholder="ASIN" style="width: 100%;" class="below_content_field" name="below_content_field"  value="<?php echo $below_content_field; ?>" />
                </li>
        
                <li><h4>Search Product:</h4>
                <?php 
                $searchtype = array('DVD', 'Electronics', 'Toys', 'VideoGames', 'PCHardware', 'Tools', 'SportingGoods', 'Books', 'Software', 'Music', 'GourmetFood', 'Kitchen'); 
                ?>
                    <label>Product Type</label>
                    <select style="width:100%;" required="required" name="aws_affiliate_searchindex">
                        <option value="All">All</option>
                        <?php foreach($searchtype as $selectoption) { 
                                $selectoption = trim($selectoption);
                                ?>
                                <option <?php selected($aws_affiliate_searchindex, $selectoption); ?> value="<?php echo $selectoption; ?>"><?php echo $selectoption; ?></option>
                        <?php } ?>
                    </select>
                </li>
                <li>   
                    <label>Keywords</label>
                    <input style="width:100%;"  type="text" name="aws_affiliate_keyboard" placeholder="Eg. Beauty" value="<?php echo $aws_affiliate_keyboard; ?>" />
                    
                </li>
                <li><input type="submit" value="Search" class="button button-default" id="submit" name="amazon_ads_option_update" /></li>
               
                <li class="fullwidth"><h4>Search Result:</h4>
                    <div class="awsap_search_result">
                        <?php 
                        
                        echo show_api_ads('', $aws_affiliate_keyboard, $aws_affiliate_searchindex);
                        ?>
                    </div> 
                    
                     <script type="text/javascript">
                    jQuery('.add_in_above_ad').click(function(){
                            jQuery('.added_youtube_field_val').remove();
                            var asin = jQuery(this).prev().children('code').text();
                            jQuery('.above_content_field').val(asin).css('border','1px solid #080');
                            jQuery(this).after('<div class="added_youtube_field_val">Added in Youtube Video Above Ad field. Click update button to save change.</div>');
                    });
                    
                    jQuery('.add_in_below_ad').click(function(){
                            jQuery('.added_youtube_field_val').remove(); 
                            var asin = jQuery(this).prev().prev().children('code').text();
                            jQuery('.below_content_field').val(asin).css('border','1px solid #080');
                            jQuery(this).after('<div class="added_youtube_field_val">Added in Youtube Video Below Ad field. Click update button to save change.</div>');
                    });
                    </script>
                </li>
            </ul>
   
    <?php 
}

/**
 * Save meta box content.
 */
add_action( 'save_post', 'awsap_save_metabox' );
function awsap_save_metabox( $post_id ) {
    
    if(isset($_POST['above_content_field'])) {
        update_post_meta( $post_id, 'above_content_field',  $_POST['above_content_field'] );
    }
    
    if(isset($_POST['below_content_field'])) {    
        update_post_meta( $post_id, 'below_content_field',  $_POST['below_content_field'] );
    }
        
    if(isset($_POST['aws_affiliate_searchindex'])) {    
        update_post_meta( $post_id, 'aws_affiliate_searchindex',  $_POST['aws_affiliate_searchindex'] );
    }
    
    if(isset($_POST['aws_affiliate_keyboard'])) {        
        update_post_meta( $post_id, 'aws_affiliate_keyboard',  $_POST['aws_affiliate_keyboard'] );
    }

} 

