<?php
/**
 * Plugin Name: AutoVid Profit Pro
 * Plugin URI: http://www.autovidprofit.com/
 * Description: Queries video sites like YouTube for content and automatically creates posts from the results. 
 * Version: 1.1.0 
 * Released: July 20th, 2017
 * Author: Mosh Bari
 * Author URI: http://www.autovidprofit.com/
 */

/*
 * Prevent Direct Access
 */
defined( 'ABSPATH' ) or die( "Sorry, Can not access page directly." );

/*
 * Plugin Directory Path Constant
 */
define( 'AVP_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );


/*
* Auto Plugin and theme installation
*/
require_once AVP_PLUGIN_DIR . 'autovid-profit-autointallation.php';

 

/*
 * Auto Vid Files
 */
if ( ! class_exists( 'Autovid_Profit_Engine' ) ) {

	require_once AVP_PLUGIN_DIR . 'autovid-profit-amazon.php';
        
	require_once AVP_PLUGIN_DIR . 'autovid-youtubetranscript.php';

	require_once AVP_PLUGIN_DIR . 'autovid-profit-scheduler.php';

	require_once AVP_PLUGIN_DIR . 'autovid-profit-logfile.php';

	require_once AVP_PLUGIN_DIR . 'autovid-profit-core.php';

	require_once AVP_PLUGIN_DIR . 'autovid-profit-engine.php';

	if ( ! function_exists( 'ba_admin_posts_filter' ) ) {
	
		include_once AVP_PLUGIN_DIR . 'helpers/admin-filter-by-custom-fields.php';
	
	}

}


/*
 * Instantiate Classes
 */ 

// Name
$params['name'] 		= 	'AutoVid Profit Pro';

// Short Name
$params['short_name']           = 	'AutoVid Profit Pro';

// Slug
$params['slug'] 		= 	'autovid-profit';

// Version
$params['version'] 		= 	'1.0.0';

// ID
$params['id'] 			= 	'autovid_profit';

// Prefix
$params['prefix'] 		= 	'autovid_profit_';

// DB Version
$params['db_version']           = 	'1.5';

// Directory
$params['dir'] 			= 	plugin_dir_path( __FILE__ );

// File
$params['file'] 		= 	__FILE__; 
 
//Extra Info
define( 'AVP_PLUGIN_NAME', $params['name'] ); 
define( 'AVP_PLUGIN_VERSION', $params['version']  );

$autovid_profit = new Autovid_Profit_Engine( $params );

/*
 * Plugin Activation Hook
 */
register_activation_hook( __FILE__, array( $autovid_profit, 'activate' ) );

/*
 * Plugin De-activation Hook
 */
register_deactivation_hook( __FILE__, array( $autovid_profit, 'deactivate' ) );
