<?php 
add_shortcode('autovid_profit_transcript','autovid_profit_closedcaption');
function autovid_profit_closedcaption() { 

global $post;
$post_id = $post->ID;
$video_id = get_post_meta($post_id,'VideoID',true);     
$transcript_hide = get_post_meta($post_id,'transcript_hide',true);  
$hide_transcript =  get_option('autovid_profit_hide_youtube_transcript' );
if(($video_id!='') && ($transcript_hide!='yes') && ($hide_transcript!='yes')) {
    
ob_start();     
$video_url = 'https://www.youtube.com/watch?v='.$video_id;
preg_match("#(?<=v=)[a-zA-Z0-9-]+(?=&)|(?<=v\/)[^&\n]+(?=\?)|(?<=v=)[^&\n]+|(?<=youtu.be/)[^&\n]+#", $video_url, $matches);

$video_id = $matches[0];
//$video_info = file_get_contents('http://www.youtube.com/get_video_info?&video_id='.$video_id);
$video_info = avp_file_get_contents_curl('http://www.youtube.com/get_video_info?&video_id='.$video_id);  

parse_str($video_info, $video_info_array);

$captiontracksdata = json_decode($video_info_array['player_response'])->captions->playerCaptionsTracklistRenderer->captionTracks;

if($captiontracksdata) { 
    echo '<div class="transscript_youtube">';
    foreach ($captiontracksdata as $trackdata) {
      $name = $trackdata->name->simpleText;
      $languagecode = $trackdata->languageCode;
      $baseurl = $trackdata->baseUrl;
 
      $trackdata = avp_file_get_contents_curl($baseurl);
      if($trackdata!='') {
        
        $outdata[$languagecode] = htmlspecialchars_decode($trackdata);
        $languages[$languagecode] = $name;
        
      }  

    }
    if($outdata!='') {
        echo "Language: <select class='transcript_lang' name='transcript_lang'>";
            foreach($languages as $language_code => $language) {
                echo '<option '.selected($language_code,"en").' value="'.$language_code.'">'.$language_code.'</option>';
            }
        echo "</select>";

        echo '<div class="track_records">';
        
        foreach($outdata as $data_key => $data) { 
            echo '<div class="track_record track_record_'.$data_key.'">'.$data.'</div>';
        }
        echo '</div>';
    }
    echo '</div>';
}  
}

?>
<script type="text/javascript">  
 
// Youtube Script 
if (!window['YT']) {var YT = {loading: 0,loaded: 0};}if (!window['YTConfig']) {var YTConfig = {'host': 'http://www.youtube.com'};}if (!YT.loading) {YT.loading = 1;(function(){var l = [];YT.ready = function(f) {if (YT.loaded) {f();} else {l.push(f);}};window.onYTReady = function() {YT.loaded = 1;for (var i = 0; i < l.length; i++) {try {l[i]();} catch (e) {}}};YT.setConfig = function(c) {for (var k in c) {if (c.hasOwnProperty(k)) {YTConfig[k] = c[k];}}};var a = document.createElement('script');a.type = 'text/javascript';a.id = 'www-widgetapi-script';a.src = 'https://s.ytimg.com/yts/jsbin/www-widgetapi-vflQKB5wA/www-widgetapi.js';a.async = true;var b = document.getElementsByTagName('script')[0];b.parentNode.insertBefore(a, b);})();}

var player, timer, timeSpent = [];
function onYouTubeIframeAPIReady() {
	player = new YT.Player( 'player', {
		events: { 'onStateChange': onPlayerStateChange }
	});
}
function onPlayerStateChange(event) {
	if(event.data === 1) { // Started playing
        if(!timeSpent.length){
            for(var i=0, l=parseInt(player.getDuration()); i<l; i++) timeSpent.push(false);
        }
	    timer = setInterval(record,100);
        } else {
		clearInterval(timer);
	}
}

function record(){
        
	timeSpent[ parseInt(player.getCurrentTime()) ] = true;
        
        var video_current_time = player.getCurrentTime();
        
        var selected_lang = jQuery('.transcript_lang').val();
        var ts_list = jQuery('.track_record_'+selected_lang);   
        var text_elements = ts_list.children('transcript').children('text');
        var ts_item_length = ts_list.children('transcript').children('text').length; 
        var check_first = 1; 

        if(ts_item_length>0) {
            text_elements.each(function(){

                var start_value = jQuery(this).attr('start');
                    if(start_value>=video_current_time) { 
                        var i = jQuery(this).index(); 
                        if((check_first===1) && (i!==0)) {    
                            jQuery(this).prev().addClass('highlight_line');
                            
                            if(i>=5) {
                                ts_element = document.getElementsByClassName("track_records")['0'];
                                ts_element.scrollTop = (jQuery(this).height()*i)-100;    
                            }
                        }
                        check_first = check_first + 1;  

                    } else {

                        jQuery(this).removeClass('highlight_line');

                    }

            });
        }
        
}



 
jQuery('.transcript_lang').on('change',function(){
   
    var lang = jQuery(this).val();
    jQuery('.track_record').hide(); 
    jQuery('.track_record_'+lang).show(); 
   
}); 

</script>

<?php 

return ob_get_clean();

}

add_filter('embed_oembed_html', 'autovid_profit_enable_yt_jsapi', 10, 4);
function autovid_profit_enable_yt_jsapi($html, $url, $attr, $post_ID ) {
	if (strstr($html, 'youtube.com/embed/')) {
		$html = str_replace('?feature=oembed', '?feature=oembed&enablejsapi=1&cc_load_policy=1&rel=0&showinfo=0', $html);
	}
        
        $html = str_replace( "<iframe", sprintf( '<iframe id="%s"', 'player' ), $html );

	return $html;     
}


/*
* Meta Fields
*/
add_action( 'add_meta_boxes', 'avp_ts_register_metabox', 10, 5  );
 function avp_ts_register_metabox() {
    add_meta_box( 'avp_ts_meta_box', 'Transcript/Closed Caption Options', 'avp_ts_metabox_callback', 'post','normal', 'high' );
}

/*
* AutoVid Profit Metabox Callback
*/ 
 function avp_ts_metabox_callback($post) {  
    
    $post_id = $post->ID; 
    $transcript_hide = '';
    $transcript_hide = get_post_meta( $post_id, 'transcript_hide', true);
    ?>
 
        <ul class="transcript_option_fields">
            <li>
                <label for="transcript_hide">Hide transcript/closed caption from the post? <br />
                <input type="checkbox" <?php checked($transcript_hide,'yes'); ?> id="transcript_hide" name="transcript_hide" value="yes" /> <b>Yes</b>
                </label>
            </li>
        </ul>
   
    <?php   
}

/**
 * Save meta box content.
 */
add_action( 'save_post', 'avp_ts_save_metabox' );
function avp_ts_save_metabox( $post_id ) {
    update_post_meta( $post_id, 'transcript_hide',  $_POST['transcript_hide'] ); 
} 

/*
 * Fix Alternative of File GET Contnt  
 */
function avp_file_get_contents_curl($url) {
    $ch = curl_init();

    curl_setopt($ch, CURLOPT_AUTOREFERER, TRUE);
    curl_setopt($ch, CURLOPT_HEADER, 0);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);       

    $data = curl_exec($ch);
    curl_close($ch);

    return $data;
}