<div class="vbp-tab">
       <input class="vbp-tab-radio" type="radio" id="tab-query" name="tab-group-vbp" checked>
       <label class="vbp-tab-label" for="tab-query">Build <?php echo $video_source;?> Query</label>

        <div class="vbp-tab-panel">
        <div class="vbp-tab-content">

	<p><?php printf( __( 'This builds the query that will be sent to the %s API to retrieve videos.', 'autovid-profit' ), $video_source ); ?></p>
	<table class='form-table'>
	<tr>
		<td>
			<?php _e( 'Import', 'autovid-profit' );?>
			<input type="text" size="3" maxlength="5" name="campaign_numVideos" id="campaign_numVideos" value="<?php echo $this->get_value( $args, 'qNumVideos', '1' ); ?>" />
			<?php _e( 'videos by keyphrase', 'autovid-profit' );?>
			<input type="text" size="60" maxlength="256" name="campaign_keyphrase" id="campaign_keyphrase" value="<?php echo $this->get_value( $args, 'qKeyphrase', '' ); ?>" />
			<br />
			<?php _e( 'and/or', 'autovid-profit' );?> &nbsp;
			<?php $optValue = $this->get_value( $args, 'qAssocType', ''); ?>
			<input type="radio" name="campaign_assoc_type" value="channel" <?php echo ($optValue == 'channel') ? "CHECKED" : "" ?>/>channel &nbsp;
			<input type="radio" name="campaign_assoc_type" value="playlist" <?php echo ($optValue == 'playlist') ? "CHECKED" : "" ?>/><a href='#' class='autovid-profit-help' title='Note that the YouTube API does not support keyphrase search, order by, or filters for playlists.'>playlist</a> &nbsp;
			<input type="radio" name="campaign_assoc_type" value="user" <?php echo ($optValue == 'user') ? "CHECKED" : "" ?>/>user &nbsp;
			<input type="radio" name="campaign_assoc_type" value="video" <?php echo ($optValue == 'video') ? "CHECKED" : "" ?>/>video id &nbsp;
			<input type="text" size="30" maxlength="128" name="campaign_assoc" id="campaign_assoc" value="<?php echo $this->get_value( $args, 'qAssoc', '' ); ?>" />
			<?php _e( 'or', 'autovid-profit' );?> &nbsp;
			<input type="radio" name="campaign_assoc_type" value="mostPopular" <?php echo ($optValue == 'mostPopular') ? "CHECKED" : "" ?>/>most Popular &nbsp;

			<br /><br />
			<?php _e( 'Keyphrases: Your request can also use the Boolean NOT (-) and OR (|) operators to exclude videos or to find videos that are associated with one of several search terms. For example, to search for videos matching either "boating" or "sailing", set the keyphrase to <strong>boating|sailing</strong>. Similarly, to search for videos matching either "boating" or "sailing" but not "fishing", set the keyphrase to <strong>boating|sailing -fishing</strong>.', 'autovid-profit' );?>

			<br /><br />
			<?php _e( 'published after date', 'autovid-profit' );?> &nbsp;
			<input type="text" size="20" maxlength="32" name="campaign_pub_after" id="campaign_pub_after" value="<?php echo $this->get_value( $args, 'qPublishedAfter', '' ); ?>" />
			<?php _e( 'published before date', 'autovid-profit' );?> &nbsp;
			<input type="text" size="20" maxlength="32" name="campaign_pub_before" id="campaign_pub_before" value="<?php echo $this->get_value( $args, 'qPublishedBefore', '' ); ?>" />

			<br /><br />
			<?php _e( 'Order by', 'autovid-profit' );?>
			<?php $optValue = $this->get_value( $args, 'qOrderBy', '' ); ?>
			<select name="campaign_orderby">
				<option value="date">date</option>
				<option value="relevance" <?php echo ($optValue == 'relevance') ? "SELECTED" : "" ?>>relevance</option>
				<option value="rating" <?php echo ($optValue == 'rating') ? "SELECTED" : "" ?>>rating</option>
				<option value="title" <?php echo ($optValue == 'title') ? "SELECTED" : "" ?>>title</option>
				<option value="viewCount" <?php echo ($optValue == 'viewCount') ? "SELECTED" : "" ?>>viewCount</option>
			</select>

			&nbsp;

			<?php _e( 'Filter by category', 'autovid-profit' );?>
			<?php $optValue = $this->get_value( $args, 'qCategory', 0 ); ?>
			<?php
			$args['videoSource'] = 'YouTube';
			$this->create_video_source( $args );
			$categories = isset( $this->video_source ) ? $this->video_source->grab_categories( 'US' ) : array();
			?>
			<select name="campaign_search_category">
				<option value="">Any</option>
			<?php
			foreach ( $categories as $cat ) { 
			?>
				<option value="<?php echo $cat->id;?>" <?php echo ($optValue == $cat->id) ? "SELECTED" : "" ?>><?php echo $cat->snippet->title; ?></option>
			<?php 
			} 
			?>
			</select>

			<?php if ( empty( $categories ) ) $this->info_message( __( 'Notice: Unable to retrieve categories from the YouTube API.', 'autovid-profit' ) ); ?>
			&nbsp;

			<?php _e( 'Filter by duration', 'autovid-profit' );?>
			<?php $optValue = $this->get_value( $args, 'qDuration', 'any' ); ?>
			<select name="campaign_search_duration">
				<option value="any">Any</option>
				<option value="long" <?php echo ($optValue == 'long') ? "SELECTED" : "" ?>>20+ minutes</option>
				<option value="medium" <?php echo ($optValue == 'medium') ? "SELECTED" : "" ?>>4 to 20 minutes</option>
				<option value="short" <?php echo ($optValue == 'short') ? "SELECTED" : "" ?>>< 4 minutes</option>
			</select>
			<br /><br />
			<?php _e( sprintf( __( "Filter by <a target='_blank' class='autovid-profit-help' title='No means return all videos, syndicated or not.\nYes means only return sydicated videos that can be played outside youtube.com.' href='%s'>syndication</a>:", 'autovid-profit' ), 'https://developers.google.com/youtube/v3/docs/search/list#videoSyndicated' ) );?>
			<?php $optValue = $this->get_value( $args, 'qSyndication', 'TRUE' ); ?>
			<select name="campaign_syndication">
				<option value="any">No</option>
				<option value="TRUE" <?php echo ($optValue == 'TRUE') ? "SELECTED" : "" ?>>Yes</option>
			</select>

			&nbsp;

			<?php _e( sprintf( __( "Filter by <a target='_blank' class='autovid-profit-help' title='The regionCode parameter instructs the API to return search results allowed for the specified country.' href='%s'>regionCode</a>:", 'autovid-profit' ), 'http://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements' ) );?>
			<input type="text" size="2" maxlength="2" name="campaign_region_code" id="campaign_region_code" value="<?php echo $this->get_value( $args, 'qRegionCode', '' ); ?>" />

			&nbsp;

			<?php _e( sprintf( __( "Filter by <a target='_blank' class='autovid-profit-help' title='The ISO 639-1 two-letter language code.' href='%s'>language</a>:", 'autovid-profit' ), 'http://en.wikipedia.org/wiki/ISO_639-1' ) );?>
			<input type="text" size="2" maxlength="2" name="campaign_language" id="campaign_language" value="<?php echo $this->get_value( $args, 'qLanguage', '' ); ?>" />

			<br /><br />
			<?php _e( 'Filter by safeSearch', 'autovid-profit' );?>
			<?php $optValue = $this->get_value( $args, 'qSafeSearch', 'moderate' ); ?>
			<select name="campaign_safesearch">
				<option value="moderate">Moderate</option>
				<option value="none" <?php echo ($optValue == 'none') ? "SELECTED" : "" ?>>None</option>
				<option value="strict" <?php echo ($optValue == 'strict') ? "SELECTED" : "" ?>>Strict</option>
			</select>

			&nbsp;

			<?php _e( 'Filter by video definition', 'autovid-profit' );?>
			<?php $optValue = $this->get_value( $args, 'qDefinition', 'any' ); ?>
			<select name="campaign_search_definition">
				<option value="any">Any</option>
				<option value="high" <?php echo ($optValue == 'high') ? "SELECTED" : "" ?>>High Def only</option>
				<option value="standard" <?php echo ($optValue == 'standard') ? "SELECTED" : "" ?>>Standard Def only</option>
			</select>

			<br /><br />
			<?php $optValue = $this->get_value( $args, 'qImageImport', TRUE ); ?>
			<input type="checkbox" name="campaign_image_import" value=TRUE <?php echo ($optValue == TRUE) ? "CHECKED" : "" ?>/>
			<?php _e( 'Import featured image quality', 'autovid-profit' );?>
			<?php $optValue = $this->get_value( $args, 'qExtraParams2', 'maxres' ); ?>
			<select name="campaign_extra_params2">
				<option value="maxres">maxres - 1280x720</option>
				<option value="high" <?php echo ($optValue == 'high') ? "SELECTED" : "" ?>>high - 480x360</option>
				<option value="standard" <?php echo ($optValue == 'standard') ? "SELECTED" : "" ?>>standard - 640x480</option>
				<option value="medium" <?php echo ($optValue == 'medium') ? "SELECTED" : "" ?>>medium - 320x180</option>
				<option value="default" <?php echo ($optValue == 'default') ? "SELECTED" : "" ?>>default - 120x90</option>
			</select>

			<br /><br />
			<?php _e( 'Also import ', 'autovid-profit' );?>
			<input type="text" size="2" maxlength="4" name="campaign_num_comments" id="campaign_num_comments" value="<?php echo $this->get_value( $args, 'qNumComments', '', 1 ); ?>" />
			<?php _e( 'comments from each video, ordered by ', 'autovid-profit' );?>
			<?php $optValue = $this->get_value( $args, 'qCommentOrderBy', '' ); ?>
			<select name="campaign_comment_orderby">
				<option value="time">time</option>
				<option value="relevance" <?php echo ($optValue == 'relevance') ? "SELECTED" : "" ?>>relevance</option>
			</select>
			<br />
			<?php _e( 'and limit response to only contain comments with these search terms: ', 'autovid-profit' );?>
			<br />
			<input type="text" size="60" maxlength="256" name="campaign_comment_search" id="campaign_comment_search" value="<?php echo $this->get_value( $args, 'qCommentSearchTerms', '' ); ?>" />
			<br />
			<?php $optValue = $this->get_value( $args, 'qCommentReplies', FALSE ); ?>
			<input type="checkbox" name="campaign_comment_replies" value=TRUE <?php echo ($optValue == TRUE) ? "CHECKED" : "" ?>/>
			<?php _e( 'Also import any replies to these comments', 'autovid-profit' );?>
		</td>
	</tr>
	</table>

        </div>
        </div>
</div>
