<?php

/*
 * Prevent Direct Access
 */
defined( 'ABSPATH' ) or die( "Sorry, Can not access page directly." );

/* Support for theme Newspaper
 * http://themeforest.net/item/newspaper/5489609?ref=johnh10
 *
 * This theme uses the video post format with it's own custom meta fields to store the VideoViews.
 * This function hook will set the video post format, add those fields to Autovid Profit campaign form and reset the description.
 * This file will only be included if Newspaper is the active theme.
 *
 */

if ( ! function_exists( 'vb_insert_newspaper_changes' ) ) :

// shows changes on make video campaign form:
add_action('vb_make_campaign', 'vb_insert_newspaper_changes', 10, 1);

function vb_insert_newspaper_changes( $args ) {
	$addArgs = array (
		'pPostTemplate'		=> '%VideoDescription%',
	);
	$args = array_merge( $args, $addArgs );

	$addFields = array(
		'post_views_count'      => '%VideoViews%',
		'td_post_video'		=> '{"td_video":"%VideoUrl%"}'
	);
	$args['pMetaFields'] = array_merge( $args['pMetaFields'], $addFields );

	$args['cPostFormat'] = 'video';
	return $args;
}

// dynamic get VB meta field values if missing
add_filter('get_post_metadata', 'vb_meta_check', 10, 4);
function vb_meta_check( $metadata, $postID, $meta_key, $single ) {
	global $wpdb;
	$metadata = $wpdb->get_var( "SELECT meta_value FROM $wpdb->postmeta WHERE post_id = {$postID} AND meta_key = '{$meta_key}'" );
	if ( $metadata != null ) return null;
	if ( $meta_key == 'post_views_count' ) 	return get_post_meta( $postID, 'views', $single );
	return null;
}

// dynamic VB ensure post format for new posts is 'video'
add_filter('vb_create_the_post_finished', 'vb_format_check', 10, 2 );
function vb_format_check( $postID, $videoInfo ) {
	set_post_format( $postID, 'video' );
	return null;
}

endif;
?>
