<?php

/*
 * Prevent Direct Access
 */
defined( 'ABSPATH' ) or die( "Sorry, Can not access page directly." );

/* Support for theme Nova Video
 * https://www.themabiz.com/shop/wp-themes/novavideo-wordpress-video-theme/
 *
 * This theme uses the video post format with it's own custom meta fields to store the VideoImage, VideoEmbed, Likes and Dislikes.
 * This function hook will set the video post format, add those fields to Autovid Profit campaign form and reset the description.
 * This file will only be included if Nova Video Mag is the active theme.
 *
 */

if ( ! function_exists( 'vb_insert_novavideo_changes' ) ) :

// shows changes on make video campaign form:
add_action('vb_make_campaign', 'vb_insert_novavideo_changes', 10, 1);

function vb_insert_novavideo_changes( $args ) {
	$addArgs = array (
		'pPostTemplate'		=> '%VideoDescription%',
	);
	$args = array_merge( $args, $addArgs );

	$addFields = array(
		'url_thumb'          	=> '%VideoImage%',
		'code'         		=> '%VideoEmbed%',
		'likes_count'         	=> '%VideoLikes%',
		'dislikes_count'       	=> '%VideoDisLikes%',
		'post_views_count'	=> '%VideoViews%',
	);
	$args['pMetaFields'] = array_merge( $args['pMetaFields'], $addFields );

	$args['cPostFormat'] = 'video';
	return $args;
}


// NovaVideo uses seconds for duration then converts
add_action('added_post_meta', 'vb_video_duration_convert', 10, 4);
function vb_video_duration_convert( $meta_id, $post_id, $meta_key, $meta_value ) {
        if ( 'VideoDuration' == $meta_key ) {
                sscanf($meta_value, "%d:%d:%d", $hours, $minutes, $seconds);
                $secs = isset($seconds) ? $hours * 3600 + $minutes * 60 + $seconds : $hours * 60 + $minutes;
                add_post_meta( $post_id, 'duration', $secs );
        }
}

// dynamic get VB meta field values if missing
add_filter('get_post_metadata', 'vb_meta_check', 10, 4);
function vb_meta_check( $metadata, $postID, $meta_key, $single ) {
	global $wpdb;
	$metadata = $wpdb->get_var( "SELECT meta_value FROM $wpdb->postmeta WHERE post_id = {$postID} AND meta_key = '{$meta_key}'" );

	if ( $meta_key == 'duration' || $meta_key == 'complete' ) {
		if ( true == is_numeric( $metadata ) ) return null;
		// NovaVideo uses seconds for duration then converts
		if ( empty( $metadata ) ) $metadata = get_post_meta( $postID, 'VideoDuration', $single );
                sscanf($metadata, "%d:%d:%d", $hours, $minutes, $seconds);
                $secs = isset($seconds) ? $hours * 3600 + $minutes * 60 + $seconds : $hours * 60 + $minutes;
		return $secs;
	}

	if ( $metadata != null ) return null;
	if ( $meta_key == 'url_thumb' )		return get_post_meta( $postID, 'VideoImage', $single );
	if ( $meta_key == 'code' )		return get_post_meta( $postID, 'VideoEmbed', $single );
	if ( $meta_key == 'likes_count' ) 	return get_post_meta( $postID, 'VideoLikes', $single );
	if ( $meta_key == 'dislikes_count' ) 	return get_post_meta( $postID, 'VideoDislikes', $single );
	if ( $meta_key == 'post_views_count' ) 	return get_post_meta( $postID, 'views', $single );
	return null;
}

// dynamic VB remove any iframe from content - theme uses meta field instead
//add_filter('the_content', 'vb_content_check' );
function vb_content_check( $content ) {
	$content = preg_replace('/<iframe.*?\/iframe>/i','', $content);
	return $content;
}


// dynamic VB ensure post format for new posts is 'video'
add_filter('vb_create_the_post_finished', 'vb_format_check', 10, 2 );
function vb_format_check( $postID, $videoInfo ) {
	set_post_format( $postID, 'video' );
	return null;
}

endif;
?>
