<?php

/*
 * Prevent Direct Access
 */
defined( 'ABSPATH' ) or die( "Sorry, Can not access page directly." );

/* Support for theme Sahifa
 * http://themeforest.net/item/sahifa-responsive-wordpress-news-magazine-blog-theme/2819356?ref=johnh10
 *
 * This theme uses the video post format with it's own custom meta fields to store the VideoUrl, VideoEmbed and VideoLikes.
 * This function hook will set the video post format, add those fields to Autovid Profit campaign form and reset the description.
 * This file will only be included if Sahifa is the active theme.
 *
 */

if ( ! function_exists( 'vb_insert_sahifa_changes' ) ) :

// shows changes on make video campaign form:
add_action('vb_make_campaign', 'vb_insert_sahifa_changes', 10, 1);

function vb_insert_sahifa_changes( $args ) {
	$addArgs = array (
		'pPostTemplate'		=> '%VideoDescription%',
	);
	$args = array_merge( $args, $addArgs );

	$addFields = array(
		'tie_embed_code'	=> '%VideoEmbed%',
		'tie_post_head'		=> 'video'
	);
	$args['pMetaFields'] = array_merge( $args['pMetaFields'], $addFields );

	$args['cPostFormat'] = 'video';
	return $args;
}

// dynamic get VB meta field values if missing
add_filter('get_post_metadata', 'vb_meta_check', 10, 4);
function vb_meta_check( $metadata, $postID, $meta_key, $single ) {
	global $wpdb;
	$metadata = $wpdb->get_var( "SELECT meta_value FROM $wpdb->postmeta WHERE post_id = {$postID} AND meta_key = '{$meta_key}'" );
	if ( $metadata != null ) return null;
	if ( $meta_key == 'tie_embed_code' ) 	return get_post_meta( $postID, 'VideoEmbed', $single );
	if ( $meta_key == 'tie_post_head' ) 	return 'video';
	return null;
}

// dynamic VB remove any iframe from content - theme uses meta field instead
//add_filter('the_content', 'vb_content_check' );
function vb_content_check( $content ) {
	$content = preg_replace('/<iframe.*?\/iframe>/i','', $content);
	return $content;
}


// dynamic VB ensure post format for new posts is 'video'
add_filter('vb_create_the_post_finished', 'vb_format_check', 10, 2 );
function vb_format_check( $postID, $videoInfo ) {
	set_post_format( $postID, 'video' );
	return null;
}

endif;
?>
