<?php

/*
 * Prevent Direct Access
 */
defined( 'ABSPATH' ) or die( "Sorry, Can not access page directly." );

/* Support for theme Videofly
 * http://themeforest.net/item/videofly-video-sharing-portal-theme/14139083?ref=johnh10
 *
 * This theme uses the video post format with it's own custom meta fields and only supports YouTube and Vimeo.
 * This function hook will set the video post format, add those fields to Autovid Profit campaign form and reset the description.
 * Videofly does not register it's custom category taxonomy, so Autovid Profit cannot detect it. Instead, I added a filter to set 'videos_categories' instead after the video post is created.
 * This file will only be included if Videofly is the active theme.
 *
 */

if ( ! function_exists( 'vb_insert_videofly_changes' ) ) :

// shows changes on make video campaign form:
add_action('vb_make_campaign', 'vb_insert_videofly_changes', 10, 1);

function vb_insert_videofly_changes( $args ) {
	$addArgs = array (
		'pPostTemplate'		=> '%VideoDescription%',
	);
	$args = array_merge( $args, $addArgs );

	$addFields = array(
		'ts-video'         => '{"type":"url","video":"%VideoUrl%"}',
	);
	$args['pMetaFields'] = array_merge( $args['pMetaFields'], $addFields );

	$args['cPostType'] = 'video';
	return $args;
}


add_filter('vb_create_the_post_finished', 'videofly_custom_category', 10, 2 );
function videofly_custom_category( $postID, $videoInfo ) {

	if ( empty( $videoInfo['sourceCategoryName'] ) ) { return; }

	$tubeCategoryName = $videoInfo['sourceCategoryName'];

	$existTerm = term_exists($tubeCategoryName, 'videos_categories');

	$termID = isset($existTerm['term_id']) ? $existTerm['term_id'] : '';

	if( empty($termID) ){
		$termID = wp_insert_term($tubeCategoryName, 'videos_categories');
		$termID = $termID['term_id'];
	}

	wp_set_post_terms($postID, $termID, 'videos_categories');
}

/*
 * Tell Autovid Profit not to create WordPress categories. VideoFly uses it's own 'videos_categories'.
 */
add_action('vb_create_category', 'vb_videofly_category' );
function vb_videofly_category( $cat ) {
        return 0;
}

// dynamic get VB meta field values if missing
add_filter('get_post_metadata', 'vb_meta_check', 10, 4);
function vb_meta_check( $metadata, $postID, $meta_key, $single ) {
	global $wpdb;
	$metadata = $wpdb->get_var( "SELECT meta_value FROM $wpdb->postmeta WHERE post_id = {$postID} AND meta_key = '{$meta_key}'" );
	if ( $metadata != null ) return null;
	if ( $meta_key == 'ts-video' ) {
		$url = get_post_meta( $postID, 'VideoUrl', $single );
		return '{"type":"url","video":"' . $url . '"}';
	}
	return null;
}

// dynamic VB remove any iframe from content - theme uses meta field instead
//add_filter('the_content', 'vb_content_check' );
function vb_content_check( $content ) {
	$content = preg_replace('/<iframe.*?\/iframe>/i','', $content);
	return $content;
}

endif;
?>
