<?php

/*
 * Prevent Direct Access
 */
defined( 'ABSPATH' ) or die( "Sorry, Can not access page directly." );

/* Support for theme VideoTube
 * http://themeforest.net/item/videotube-a-responsive-video-wordpress-theme/7214445?ref=johnh10
 *
 * This theme uses the video post format with it's own custom meta fields to store the VideoEmbed, VideoViews, and VideoLikes.
 * This function hook will set the video post format, add those fields to Autovid Profit campaign form, set layout to 'small' and reset the description.
 * This file will only be included if VideoTube is the active theme.
 *
 */

if ( ! function_exists( 'vb_insert_videotube_changes' ) ) :

// shows changes on make video campaign form:
add_action('vb_make_campaign', 'vb_insert_videotube_changes', 10, 1);

function vb_insert_videotube_changes( $args ) {
	$addArgs = array (
		'pPostTemplate'		=> '%VideoDescription%',
	);
	$args = array_merge( $args, $addArgs );

	$addFields = array(
		'video_frame'		=> '%VideoEmbed%',
		'count_viewed'          => '%VideoViews%',
		'like_key'              => '%VideoLikes%',
		'layout'                => 'small'
	);
	$args['pMetaFields'] = array_merge( $args['pMetaFields'], $addFields );

	$args['cPostType'] = 'video';
	$args['cPostFormat'] = 'video';

	return $args;
}


/*
 * This theme uses it's own custom taxonomy, so use a hook to write to it after Autovid Profit creates each new post.
 */
add_action('vb_create_the_post_finished', 'vb_insert_videotube_taxonomy', 10, 2);

function vb_insert_videotube_taxonomy( $postID, $videoInfo ) {
	global $wpdb;

	// let's be sure we're using videotube's custom post type
	if( get_post_type( $postID ) == 'video' ) {
			
		// update the video category relationship
		if( ! empty( $videoInfo['sourceCategoryName'] ) ){
			$cats = explode( ",", $videoInfo['sourceCategoryName'] );
			foreach ( $cats as $cat ) {
				$result = wp_set_object_terms( $postID, $cat, 'categories', true );
			}
		}
		// update the video tags.
		if( ! empty(  $videoInfo['tags'] ) ){
			$tags = explode( ",", $videoInfo['tags'] );
			foreach ( $tags as $tag ) {
				$result = wp_set_object_terms( $postID, $tag, 'video_tag', true );
			}
		}
	}
}


// dynamic get VB meta field values if missing
add_filter('get_post_metadata', 'vb_meta_check', 10, 4);
function vb_meta_check( $metadata, $postID, $meta_key, $single ) {
	global $wpdb;
	$metadata = $wpdb->get_var( "SELECT meta_value FROM $wpdb->postmeta WHERE post_id = {$postID} AND meta_key = '{$meta_key}'" );
	if ( $metadata != null ) return null;
	if ( $meta_key == 'video_frame' ) 	return get_post_meta( $postID, 'VideoEmbed', $single );
	if ( $meta_key == 'count_viewed' ) 	return get_post_meta( $postID, 'VideoViews', $single );
	if ( $meta_key == 'like_key' ) 		return get_post_meta( $postID, 'VideoLikes', $single );
	if ( $meta_key == 'layout' ) 		return 'small';
	return null;
}

// dynamic VB remove any iframe from content - theme uses meta field instead
//add_filter('the_content', 'vb_content_check' );
function vb_content_check( $content ) {
	$content = preg_replace('/<iframe.*?\/iframe>/i','', $content);
	return $content;
}


// dynamic VB ensure post format for new posts is 'video'
add_filter('vb_create_the_post_finished', 'vb_format_check', 10, 2 );
function vb_format_check( $postID, $videoInfo ) {
	set_post_format( $postID, 'video' );
	return null;
}

endif;
?>
